Name:           hypershell
Version:        2.6.2
Release:        1%{?dist}
Summary:        Utility for processing shell commands over a distributed, asynchronous queue

License:        Apache-2.0
URL:            https://hypershell.org
Source:         https://github.com/glentner/hypershell/archive/v%{version}/hypershell-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

Patch:          loosen-dep-versions.patch

# no tests for now, see comments below
# for tests
#BuildRequires:  python3-pytest
#BuildRequires:  python3-yaml
#BuildRequires:  sqlite

%global _description %{expand:
Elegant, cross-platform, high-throughput computing utility
for processing shell commands over a distributed, asynchronous queue.
Highly scalable workflow automation tool for many-task scenarios.
}

%description %_description


%prep
%autosetup


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hypershell

install -pDm 0644 man/man1/hs.1 %{buildroot}%{_mandir}/man1/hs.1
install -pDm 0644 man/man1/hyper-shell.1 %{buildroot}%{_mandir}/man1/hyper-shell.1

# false positive failure.  upstream is working on it
#%%check
#%%pytest


%files -f %{pyproject_files}
%doc README.*
%license LICENSE
%{_bindir}/hs
%{_bindir}/hyper-shell
%{_mandir}/man1/hs.1*
%{_mandir}/man1/hyper-shell.1*

%changelog
* Wed Jan 01 2025 Jonathan Wright <jonathan@almalinux.org> - 2.6.2-1
- initial package build
